Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::MetadataMeasurement Class Reference

`#include <SensMetadataMeasurement.hpp>`

Inheritance diagram for Ipopt::MetadataMeasurement:
[legend]

## Public Member Functions
| MetadataMeasurement ()
virtual | ~MetadataMeasurement ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class. More...
virtual std::vector< Index > | GetInitialEqConstraints ()
| This function returns a std::vector holding the indices in IteratesVector of the equations that are to be "slacked" to free the initial values for sIPOPT. More...
virtual SmartPtr< DenseVector > | GetMeasurement (Index measurement_number)
| This function returns delta_u. More...
virtual void | SetSolution (Index measurement_number, SmartPtr< IteratesVector > sol)
| This function does whatever the measurement machine does with the solution of the SensAlgorithm. More...
virtual std::vector< Index > | GetIntegerSuffix (std::string suffix_string)
| suffix handler methods More...
Public Member Functions inherited from Ipopt::Measurement
| Measurement ()
| This class provides an abstraction for the measurements of the states coming in and the solutions of the controller. More...
virtual | ~Measurement ()
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const
Public Member Functions inherited from Ipopt::SuffixHandler
| SuffixHandler ()
virtual | ~SuffixHandler ()
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...

## Private Attributes
Index | n_idx_
| Number of sens_indices. More...
SmartPtr< const DenseVectorSpace > | x_owner_space_
| owner space of x More...
SmartPtr< const DenseVectorSpace > | s_owner_space_
| owner space of s More...
SmartPtr< const DenseVectorSpace > | y_c_owner_space_
| owner space of y_c More...
SmartPtr< const DenseVectorSpace > | y_d_owner_space_
| owner space of y_d More...
SmartPtr< const DenseVectorSpace > | z_L_owner_space_
| owner space of z_L More...
SmartPtr< const DenseVectorSpace > | z_U_owner_space_
| owner space of z_U More...

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Definition at line 18 of file SensMetadataMeasurement.hpp.

## Constructor & Destructor Documentation

Ipopt::MetadataMeasurement::MetadataMeasurement | ( |  | ) |

virtual Ipopt::MetadataMeasurement::~MetadataMeasurement | ( |  | ) |
| virtual

## Member Function Documentation

virtual bool Ipopt::MetadataMeasurement::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

virtual std::vector<Index> Ipopt::MetadataMeasurement::GetInitialEqConstraints | ( |  | ) |
| virtual

This function returns a std::vector holding the indices in IteratesVector of the equations that are to be "slacked" to free the initial values for sIPOPT.

This std::vector is used in the construction of the A-SchurData for the Schur Decomposition.

Implements Ipopt::Measurement.

virtual SmartPtr<DenseVector> Ipopt::MetadataMeasurement::GetMeasurement | ( | Index | measurement_number | ) |
| virtual

This function returns delta_u.

It should use the values of IpData().trial()->x()

Implements Ipopt::Measurement.

virtual void Ipopt::MetadataMeasurement::SetSolution | ( | Index | measurement_number,
|  | SmartPtr< IteratesVector > | sol
| ) |  |
| virtual

This function does whatever the measurement machine does with the solution of the SensAlgorithm.

Implements Ipopt::Measurement.

virtual std::vector<Index> Ipopt::MetadataMeasurement::GetIntegerSuffix | ( | std::string | suffix_string | ) |
| virtual

suffix handler methods

Implements Ipopt::SuffixHandler.

## Member Data Documentation

Index Ipopt::MetadataMeasurement::n_idx_
| private

Number of sens_indices.

Definition at line 43 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::x_owner_space_
| private

owner space of x

Definition at line 46 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::s_owner_space_
| private

owner space of s

Definition at line 48 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::y_c_owner_space_
| private

owner space of y_c

Definition at line 50 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::y_d_owner_space_
| private

owner space of y_d

Definition at line 52 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::z_L_owner_space_
| private

owner space of z_L

Definition at line 54 of file SensMetadataMeasurement.hpp.

SmartPtr<const DenseVectorSpace> Ipopt::MetadataMeasurement::z_U_owner_space_
| private

owner space of z_U

Definition at line 56 of file SensMetadataMeasurement.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensMetadataMeasurement.hpp